config/routes.rb
Rails.application.routes.draw do
  resources :plans
  resources :purchases
  resources :businesses do
    collection do
      get 'show_new'=>'businesses#show_new'
    end
    resources :categories
    resources :products
  end
  get 'home/index'
  get 'home1'=>'home#home_1'
  get 'new_products'=>'products#new_index'
  root 'home#index'
  devise_for :users, :controllers => {:registrations => "registrations"}
  resource :user, only: [:edit] do
	  collection do
	    patch 'update_password'
	  end
	end
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/controllers/businesses_controller.rb
class BusinessesController < ApplicationController
  before_action :set_business, only: [:show, :edit, :update, :destroy]

  # GET /businesses
  # GET /businesses.json
  def index
    @businesses = Business.all
  end

  # GET /businesses/1
  # GET /businesses/1.json
  def show

    require 'rqrcode'

    qrcode = RQRCode::QRCode.new("http://github.com/")

    # NOTE: showing with default options specified explicitly
    @svg = qrcode.as_svg(
      offset: 0,
      color: '000',
      shape_rendering: 'crispEdges',
      module_size: 6,
      standalone: true
    )
  end

  def show_new
    render :layout=>'menu'
  end

  # GET /businesses/new
  def new
    @business = Business.new
  end

  # GET /businesses/1/edit
  def edit
  end

  # POST /businesses
  # POST /businesses.json
  def create
    @business = Business.new(business_params)
    @business.user_id = current_user.id
    respond_to do |format|
      if @business.save
        format.html { redirect_to @business, notice: 'Business was successfully created.' }
        format.json { render :show, status: :created, location: @business }
      else
        format.html { render :new }
        format.json { render json: @business.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /businesses/1
  # PATCH/PUT /businesses/1.json
  def update
    respond_to do |format|
      if @business.update(business_params)
        format.html { redirect_to @business, notice: 'Business was successfully updated.' }
        format.json { render :show, status: :ok, location: @business }
      else
        format.html { render :edit }
        format.json { render json: @business.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /businesses/1
  # DELETE /businesses/1.json
  def destroy
    @business.destroy
    respond_to do |format|
      format.html { redirect_to businesses_url, notice: 'Business was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_business
      @business = Business.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def business_params
      params.require(:business).permit(:business_type, :name, :phone_number, :alt_phone_number, :email, :address, :logo, :user_id)
    end
end

app/helpers/businesses_helper.rb
module BusinessesHelper
end

app/views/businesses/_form.html.erb
<div class="row page-titles">
  <div class="col-md-5 align-self-center">
    <!-- <h4 class="text-themecolor">Business New</h4> -->
  </div>
  <div class="col-md-7 align-self-center text-right">
    <div class="d-flex justify-content-end align-items-center">
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
        <li class="breadcrumb-item active">Business</li>
      </ol>
    </div>
  </div>
</div>
<div class="row">
  <!-- Column -->
  <div class="col-lg-6 col-sm-12 offset-lg-3">
    <div class="card">
      <div class="card-body">
        <%= form_with(model: business, local: true) do |form| %>
        <div class="form-body">
          <h5 class="card-title">Business Profile</h5>
          <hr>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Business type</label>
            <div class="col-sm-9">
            <%= form.select :business_type, options_for_select(BUSINESS_TYPE, business.business_type), {:prompt => 'Select Business Type'}, {:class => 'form-control select2 select-phases', required: true}%>               
            </div>
          </div>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Name</label>
            <div class="col-sm-9">
            <%= form.text_field :name, id: :business_name,:class=>"form-control", required: true %>            
            </div>
          </div>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Contact No.</label>
            <div class="col-sm-9">
            <%= form.text_field :phone_number, id: :business_phone_number,:class=>"form-control",:minlength=>10, :maxlength=>10, required: true %>
            </div>
          </div>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Alt. Contact No.</label>
            <div class="col-sm-9">
            <%= form.text_field :alt_phone_number, id: :business_alt_phone_number,:class=>"form-control",:minlength=>10, :maxlength=>10 %>
            </div>
          </div>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Email</label>
            <div class="col-sm-9">
            <%= form.email_field :email, id: :business_email,:class=>"form-control" %>
            </div>
          </div>

          <div class="form-group row">
            <label for="staticEmail" class="col-sm-3 col-form-label">Address</label>
            <div class="col-sm-9">
            <%= form.text_area :address, id: :business_address,:class=>"form-control", required: true %>
            </div>
          </div>

          <div class="form-group">
            <%= form.label :logo %>
            <%= form.file_field :logo,  :id=>"input-file-max-fs", :class=>"form-control dropify",:'data-max-file-size'=>"10M" %>
          </div>

          <hr>
          <div class="form-actions m-t-40">
            <button type="submit" class="btn btn-success"> <i class="fa fa-check"></i> Save</button>
            <button type="button" class="btn btn-dark">Cancel</button>
          </div>

          <% end %>
        </div>
      </div>
    </div>
    <!-- Column -->
  </div>
</div>

<script>
  $(function(){ 
      initDropify()
  })
</script>

app/views/businesses/edit.html.erb
<%= render 'form', business: @business %>

app/views/businesses/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Businesses</h1>

<table>
  <thead>
    <tr>
      <th>Business type</th>
      <th>Name</th>
      <th>Phone number</th>
      <th>Alt phone number</th>
      <th>Email</th>
      <th>Address</th>
      <th>Logo</th>
      <th>User</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @businesses.each do |business| %>
      <tr>
        <td><%= business.business_type %></td>
        <td><%= business.name %></td>
        <td><%= business.phone_number %></td>
        <td><%= business.alt_phone_number %></td>
        <td><%= business.email %></td>
        <td><%= business.address %></td>
        <td><%= business.logo %></td>
        <td><%= business.user_id %></td>
        <td><%= link_to 'Show', business %></td>
        <td><%= link_to 'Edit', edit_business_path(business) %></td>
        <td><%= link_to 'Destroy', business, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Business', new_business_path %>

app/views/businesses/new.html.erb
<%= render 'form', business: @business %>

app/views/businesses/show.html.erb
<% if @business.errors.full_messages.any? %>
  <div class="row">
    <div class="col-lg-6 offset-lg-3 validation">
      <% @business.errors.messages.each do |error_message| %>
        <%= error_message.first.to_s.split('_').join(' ').titleize %> : <%= error_message[1].last %> <br />
      <% end %>    
    </div>
  </div>
<% end %>


<div class="row margin-top-50">
  <div class="col-lg-6 offset-lg-3">
      <div class="card">
          <div class="card-body">
              <h5 class="card-title">Business Profile</h5>
              <hr>
              <div class="row">
                <div class="col-md-5 text-right">
                  <strong>Business Type: </strong>
                </div>
                <div class="col-md-6">
                  <%= @business.business_type.to_s.titleize %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Name: </strong>
                </div>
                <div class="col-md-6">
                  <%= @business.name %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Contact Number: </strong>
                </div>
                <div class="col-md-6">
                  <%= @business.phone_number %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Alternate Contact Number: </strong>
                </div>
                <div class="col-md-7">
                  <%= @business.phone_number %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Email: </strong>
                </div>
                <div class="col-md-6">
                  <%= @business.email %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Address: </strong>
                </div>
                <div class="col-md-6">
                  <%= @business.address %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Logo: </strong>
                </div>
                <div class="col-md-6">
                   <strong><%= image_tag(@business.logo.url, {:style => "width: 170px;"}) rescue nil %>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-5 text-right">
                  <strong>Barcode: </strong>
                </div>
                <div class="col-md-6">
                  <%=@svg.html_safe%>
                </div>
              </div>
              <div class="row margin-top-15px">
                <div class="col-md-12 text-center">
                  <%= link_to 'Cancel', root_path(), :class => 'btn btn-dark' %>
                  <%= link_to 'Update', edit_business_path(@business), :class => 'btn btn-info' %>
                </div>
              </div>
              <% if false %>
                <%= form_for [business, category] do |form| %>
                    <div class="form-group">
                      <%= form.label :name %>
                      <%= form.text_field :name, id: :category_name , :class=>"form-control"%>
                    </div>
                    <div class="form-group">
                      <%= form.label :display_sequence %>
                      <%= form.number_field :display_sequence, id: :category_display_sequence, :class=>"form-control" %>
                    </div>
                    <hr>
                    <div class="form-actions m-t-40">
                      <button type="submit" class="btn btn-success"> <i class="fa fa-check"></i> Save</button>
                      <a type="button" class="btn btn-dark" href="<%= business_categories_path(current_user.business)%>">Cancel</a>
                    </div>
                <% end %>
              <% end %>
          </div>
      </div>
  </div>
</div>

app/views/businesses/show_new.html.erb
<div class="img-hero">
    <div>
        <img src="/assets/img/slide3.jpg" alt="slider">
    </div>
    <div>
        <img src="/assets/img/slide4.jpg" alt="slider">
    </div>
</div>
<div class="section-home you-might-like">
    <div class="heading-section">
        <div class="sa-title popcat">Recipes You Might Like...</div>
        <div class="clear"></div>
    </div>
    <div class="yml-carousel">
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food9.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Chicken Fried Steak</div>
        </div>
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food10.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Grilled Fish Tacos</div>
        </div>
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food11.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Steak with Garlic</div>
        </div>
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food12.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Harvest Salad</div>
        </div>
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food13.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Cheesy Pizza</div>
        </div>
        <div class="yml-box">
            <div class="yml-img">
                <img src="/assets/img/food14.jpg" alt="you might like">
            </div>
            <div class="yml-food-text">Teriyaki Chicken</div>
        </div>
    </div>
</div>
<div class="section-home s-category">
    <div class="heading-section">
        <div class="sa-title popcat">Popular Categories</div>
        <div class="clear"></div>
    </div>
    <div class="home-category-list">
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Quick and Easy</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food1.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <a href="<%= new_products_path()%>">
                <div class="home-text-category">
                    <div class="bc-text">Dinner Ideas</div>
                </div>
                <div class="home-image-category">
                    <img src="/assets/img/food2.jpg" alt="image-category">
                </div>
            </a>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Healthy</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food3.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Vegetarian</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food4.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Cakes and Baking</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food5.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">World Cuisine</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food6.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Meal Type</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food7.jpg" alt="image-category">
            </div>
        </div>
        <div class="home-box-category">
            <div class="home-text-category">
                <div class="bc-text">Chicken Recipes</div>
            </div>
            <div class="home-image-category">
                <img src="/assets/img/food8.jpg" alt="image-category">
            </div>
        </div>
        <div class="clear"></div>
        <div class=" more-category">
            <div class="theme-button mcbutton">See More</div>
        </div>
    </div>
</div>
<div class="section-home home-banner">
    <img src="/assets/img/banner.jpg">
</div>
<!-- <div class="section-home home-news">
    <div class="heading-section">
        <div class="sa-title popcat">News & Tips</div>
        <div class="clear"></div>
    </div>
    <div class="home-news-wrap">
        <div class="news-item">
            <div class="news-content">
                <div class="hnw-img">
                    <img src="/assets/img/news.jpg" alt="news">
                </div>
                <div class="hnw-desc">
                    <div class="hnw-title">15 Totally Healthy Grilling Recipes</div>
                    <div class="hnw-text">
                        Lorem ipsum dolor sit amet, adipiscing elit... <a href="news.html" class="more">Read
                            More</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="news-item">
            <div class="news-content">
                <div class="hnw-img">
                    <img src="/assets/img/news2.jpg" alt="news">
                </div>
                <div class="hnw-desc">
                    <div class="hnw-title">Foods That Are Super Healthy</div>
                    <div class="hnw-text">
                        dolor sit amet, Lorem ipsum adipiscing elit... <a href="news.html" class="more">Read
                            More</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="news-item">
            <div class="news-content">
                <div class="hnw-img">
                    <img src="/assets/img/news3.jpg" alt="news">
                </div>
                <div class="hnw-desc">
                    <div class="hnw-title">17 Authentic local food in Yogyakarta</div>
                    <div class="hnw-text">
                        Lorem ipsum dolor adipiscing elit... <a href="news.html" class="more">Read More</a>
                    </div>
                </div>
            </div>
        </div>
        <div class=" more-category">
            <a href="news_list.html">
                <div class="theme-button mcbutton">More News</div>
            </a>
        </div>
    </div>
</div>
<div class="section-home recipe-author">
    <div class="heading-section">
        <div class="sa-title popcat">Top Author</div>
        <div class="clear"></div>
    </div>
    <div class="home-author">
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile.jpg" alt="author">
            </div>
            <div class="author-name">Amanda</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile2.jpg" alt="author">
            </div>
            <div class="author-name">Nicola</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile8.jpg" alt="author">
            </div>
            <div class="author-name">Sally</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile4.jpg" alt="author">
            </div>
            <div class="author-name">Connor</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile5.jpg" alt="author">
            </div>
            <div class="author-name">Olivia</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile6.jpg" alt="author">
            </div>
            <div class="author-name">Peter</div>
        </div>
        <div class="author-box">
            <div class="author-img">
                <img src="/assets/img/profile7.jpg" alt="author">
            </div>
            <div class="author-name">Walker</div>
        </div>
    </div>
</div> -->

<!-- SUBSCRIBE -->
<div class="section-subscribe">
    <div class="subcontainer">
        <div class="subrow">
            <div class="subcol">
                <div class="section-title">SUBSCRIBE</div>
                <p class="textsub">Get news and food recipes every day</p>
                <div class="mail-subscribe-box">
                    <form name="subsribe">
                        <input class="form-control" name="user-email" placeholder="Enter email address" value=""
                            type="email">
                        <button type="submit" class="submitsub"> <i class="fa fa-angle-right"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="bg-subscribe">
        <img src="/assets/img/food4.jpg" alt="banner">
    </div>
</div>
<!-- END SUBSCRIBE -->